libstdc++: predefined_ops.h File Reference

libstdc++

predefined_ops.h File Reference

Go to the source code of this file.

## Namespaces
namespace | __gnu_cxx

## Typedefs
template<typename _Fn>
using | __gnu_cxx::__ops::__by_ref_or_value_fn
template<typename _Func, typename _Value>
using | __gnu_cxx::__ops::_Comp_with_val_1st
template<typename _Func, typename _Value>
using | __gnu_cxx::__ops::_Comp_with_val_2nd
typedef std::equal_to< void > | __gnu_cxx::__ops::equal_to
typedef std::less< void > | __gnu_cxx::__ops::less

## Functions
template<typename _Value>
constexpr _Comp_with_val_2nd< equal_to, _Value > | __gnu_cxx::__ops::__equal_to (const _Value &__val)
template<typename _Func, typename _Value>
constexpr _Comp_with_val_1st< _Func, _Value > | __gnu_cxx::__ops::bind1st (_Func &__f, const _Value &__val)
template<typename _Func, typename _Value>
constexpr _Comp_with_val_2nd< _Func, _Value > | __gnu_cxx::__ops::bind2nd (_Func &__f, const _Value &__val)
template<typename _Func>
constexpr _Unary_negate< _Func > | __gnu_cxx::__ops::not1 (_Func &__f)

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly. Instead, include <algorithm>.

Definition in file predefined_ops.h.

## Typedef Documentation

## ◆ __by_ref_or_value_fn

template<typename _Fn>

using __gnu_cxx::__ops::__by_ref_or_value_fn

Definition at line 52 of file predefined_ops.h.

## ◆ _Comp_with_val_1st

template<typename _Func, typename _Value>

using __gnu_cxx::__ops::_Comp_with_val_1st

Definition at line 88 of file predefined_ops.h.

## ◆ _Comp_with_val_2nd

template<typename _Func, typename _Value>

using __gnu_cxx::__ops::_Comp_with_val_2nd

Definition at line 90 of file predefined_ops.h.

## ◆ equal_to

typedef std::equal_to<void> __gnu_cxx::__ops::equal_to

Definition at line 46 of file predefined_ops.h.

## ◆ less

typedef std::less<void> __gnu_cxx::__ops::less

Definition at line 47 of file predefined_ops.h.

## Function Documentation

## ◆ __equal_to()

template<typename _Value>

_Comp_with_val_2nd< equal_to, _Value > __gnu_cxx::__ops::__equal_to | ( | const _Value & | __val | ) |
| inlineconstexpr

Definition at line 202 of file predefined_ops.h.

## ◆ bind1st()

template<typename _Func, typename _Value>

_Comp_with_val_1st< _Func, _Value > __gnu_cxx::__ops::bind1st | ( | _Func & | __f,
|  | const _Value & | __val )
| inlineconstexpr

Definition at line 191 of file predefined_ops.h.

## ◆ bind2nd()

template<typename _Func, typename _Value>

_Comp_with_val_2nd< _Func, _Value > __gnu_cxx::__ops::bind2nd | ( | _Func & | __f,
|  | const _Value & | __val )
| inlineconstexpr

Definition at line 196 of file predefined_ops.h.

## ◆ not1()

template<typename _Func>

_Unary_negate< _Func > __gnu_cxx::__ops::not1 | ( | _Func & | __f | ) |
| constexpr

Definition at line 109 of file predefined_ops.h.